<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="../includes/includes.jsp"%>

<script>

buttonExpand=new Image(20,20);
buttonExpand.src="${env.imgPath}/panel_closed.gif";
buttonClose=new Image(20,20);
buttonClose.src="${env.imgPath}/panel_opened.gif";

function $() {
	var elements = new Array();
	for (var i = 0; i < arguments.length; i++) {
		var element = arguments[i];
		if (typeof element == 'string')
			element = document.getElementById(element);
		if (arguments.length == 1)
			return element;
		elements.push(element);
	}
	return elements;
}
        

function toggleDiv(theDiv) {
    if (document.getElementById(theDiv)) {
		var theDivObject = document.getElementById(theDiv);
        var theImageObject = document.getElementById(theDiv+"_img");

        if (theDivObject.style.display=="none") {
            theDivObject.style.display="block";
            if(theImageObject)
                theImageObject.src=buttonClose.src;
		}
		else {
			theDivObject.style.display="none";
            if(theImageObject)
                theImageObject.src=buttonExpand.src;
		}
	}
}

//calcNewHeight(23,'scrollcont')
function calcNewHeight(p_offset, p_elementId) {
	if(document) {
		var obj = document.getElementById(p_elementId);
		if(obj) {
            var dimension = new ABPDimension();
            var contHeight = dimension.height - p_offset;
            contHeight = (contHeight < 1) ? 1 : contHeight;
			obj.style.height = contHeight;
		}
	}
}

        //calcNewHeight(23,'scrollcont')
function calcNewWidth(p_offset, p_elementId) {
	if(document) {
		var obj = document.getElementById(p_elementId);
        if(obj) {
            var dimension = new ABPDimension();
            var contWidth = dimension.width - p_offset;
			contWidth = (contWidth < 1) ? 1 : contWidth;
            obj.style.width = contWidth;
		}
	}
}
function calcNewWidthOnElement(p_offset, p_element) {
	if(p_element) {
        var dimension = new ABPDimension();
        var contWidth = dimension.width - p_offset;
        contWidth = (contWidth < 1) ? 1 : contWidth;
        p_element.style.width = contWidth;
	}
}

function calcBrandNewHeight(p_offset, p_elementId) {
    if(document) {
		var obj = document.getElementById(p_elementId);
		if(obj) {
            var dimension = new ABPDimension();
            obj.style.height = 100 - dimension.calcOffsetInPercent(p_offset)+"%";
        }
	}
}


function ABPDimension() {
    if (self.innerHeight) { // all except Explorer
        this.width = self.innerWidth;
        this.height = self.innerHeight;
    }
    else if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode
        this.width = document.documentElement.clientWidth;
        this.height = document.documentElement.clientHeight;
    }
    else if (document.body) { // other Explorers
        this.width = document.body.clientWidth;
        this.height = document.body.clientHeight;
    }

    this.calcOffsetInPercent = function(p_offset) {
        if(this.height > 0) {
            return p_offset*100/this.height;
        }
        return 0;
    }
}


/*
Dialog functions
*/

var actionToPerform  = "none";

function showDialog(elementname, action, dlg_width, dlg_height, blendOrNot, p_offset) {
    actionToPerform = action
    var dlg = document.getElementById(elementname);
    if (dlg) {
	    var oldCursor = document.body.style.cursor;
        document.body.style.cursor = 'wait';
	    var dimension = new ABPDimension();
    	if (blendOrNot) {
	        blendBackground('background_panel', 0, 80, 10, 5);
        }

        var offset = 100;
        if(p_offset) {
            offset = p_offset;
        }
        var dlg_top = (dimension.height/2 - dlg_height/2) - offset;
        if (dlg_top < 3) {dlg_top = 3;}

        var dlg_left = (dimension.width / 2 - dlg_width / 2);
        dlg.style.top = dlg_top + "px";
        if (dlg_height > dimension.height - 20) {
            dlg_height = dimension.height - 20;
            if(dlg_height < 0) {
                dlg_height = 0;
            }
        }

        dlg.style.height = dlg_height + "px";
        dlg.style.width = dlg_width+"px";
        dlg.style.visibility = "visible";
        dlg.style.display = "block";
        dlg.style.left = dlg_left + "px";
        dlg.style.zIndex = 101;

        document.body.style.cursor = oldCursor;
    }
}

function switchDialog(dialog1, dialog2, action, dlg_width, dlg_height) {
    actionToPerform = action;
    var dlg = document.getElementById(dialog1);
    if (dlg) {
        dlg.style.visibility = "hidden";
        dlg.style.display = "none";

    }
    dlg = document.getElementById(dialog2);
    if (dlg) {
        var dlg_top = (height/2 - dlg_height/2);
        if (dlg_top < 3) {dlg_top = 3;}
        var dlg_left = (width / 2 - dlg_width / 2);

        dlg.style.top = dlg_top + "px";
        dlg.style.height = dlg_height+"px";
        dlg.style.width = dlg_width + "px";
        dlg.style.left = dlg_left + "px";
        dlg.style.zIndex = 101;

        dlg.style.display = "block";
        dlg.style.visibility = "visible";
    }
}

function moveDialog(elementname, new_y, target_y, step, speed, dlg_height, dlg_width) {
    var dlg = document.getElementById(elementname);
    if (dlg) {
        if (new_y > target_y)
            new_y = target_y;
        if (new_y < 0) {
            dlg.style.top = "0px";
            dlg.style.height = (dlg_height + new_y) + "px";

        } else {
            dlg.style.top = new_y + "px";
            dlg.style.height = dlg_height + "px";
        }
        if (new_y < target_y) {
            window.setTimeout('moveDialog ("' + elementname + '", ' + (new_y + step) + ', ' + target_y + ', ' + step + ', ' + speed + ', ' + dlg_height + ',' + dlg_width + ')', speed);
        }
    }
}


function hideDialog(elementname) {
    unblendBackground('background_panel', 80, 0, 10, 5);
    var dlg = document.getElementById(elementname);
    if (dlg) {
        dlg.style.visibility = "hidden";
        dlg.style.display = "none";

    }
    if (actionToPerform && actionToPerform != "none") {
	    eval(actionToPerform);
        actionToPerform = "none";
    }

}

function cancel(elementname) {
	actionToPerform = 'none';
	hideDialog(elementname);

}

/*
Effects
*/

function blendBackground(elementname, new_transparency, target_transparency, step, speed) {
    var bg = document.getElementById(elementname);
    var bg_iframe = document.getElementById("bg_iframe");
    if (bg) {
        var dimension = new ABPDimension();
        if (new_transparency > target_transparency)
            new_transparency = target_transparency;
        bg.style.visibility = "visible";
        bg.style.top = "0px";
        bg.style.left = "0px";
        bg.style.width = dimension.width + "px";
        bg.style.height = dimension.height + "px";
        bg.style.zIndex = 100;
        bg.style.backgroundColor = "#CCCCCC";
        //bg.style.filter = "Alpha(opacity=" + new_transparency + ")";
        //bg.style.opacity = new_transparency / 100;

        bg_iframe.style.visibility = "visible";
        bg_iframe.style.top = "0px";
        bg_iframe.style.left = "0px";
        bg_iframe.style.width = dimension.width + "px";
        bg_iframe.style.height = dimension.height + "px";
        bg_iframe.style.backgroundColor = "#CCCCCC";
	    bg_iframe.style.display = "block";
        //bg_iframe.style.filter = "Alpha(opacity=" + new_transparency + ")";

        //if (new_transparency < target_transparency)
        //    window.setTimeout('blendBackground("' + elementname + '", ' + (new_transparency + step) + ', ' + target_transparency + ', ' + step + ',' + speed + ')', speed);
    }
}

function unblendBackground(elementname, new_transparency, target_transparency, step, speed) {
    var bg = document.getElementById(elementname);
    var bg_iframe = document.getElementById("bg_iframe");
    if (bg) {
        if (bg.style.visibility != "visible")
            return;

        var dimension = new ABPDimension();
        if (new_transparency < target_transparency)
            new_transparency = target_transparency;
        bg.style.visibility = "visible";
        bg.style.top = "0px";
        bg.style.left = "0px";
        bg.style.width = dimension.width + "px";
        bg.style.height = dimension.height + "px";
        bg.style.zIndex = 100;
        bg.style.backgroundColor = "#CCCCCC";

        bg_iframe.style.visibility = "visible";
        bg_iframe.style.top = "0px";
        bg_iframe.style.left = "0px";
        bg_iframe.style.width = dimension.width + "px";
        bg_iframe.style.height = dimension.height + "px";
        bg_iframe.style.backgroundColor = "#CCCCCC";
	    bg_iframe.style.display = "block";
        //bg_iframe.style.filter = "Alpha(opacity=" + new_transparency + ")";


        //bg.style.filter = "Alpha(opacity=" + new_transparency + ")";
        //bg.style.opacity = new_transparency / 100;
        //if (new_transparency > target_transparency)
        //    window.setTimeout('unblendBackground("' + elementname + '", ' + (new_transparency - step) + ', ' + target_transparency + ', ' + step + ',' + speed + ')', speed);
        //else {
            bg.style.visibility = "hidden";
            bg_iframe.style.display = "none";
	        bg_iframe.style.visibility = "hidden";
        //}
    }
}

function getElementsByClass(searchClass, tag) {
	var classElements = new Array();
	if ( tag == null )
		tag = '*';

    var els = document.getElementsByTagName(tag);
	var elsLen = els.length;
	var pattern = new RegExp('(^|\\\\s)'+searchClass+'(\\\\s|$)');
	for (i = 0, j = 0; i < elsLen; i++) {
		if ( pattern.test(els[i].className) ) {
			classElements[j] = els[i];
			j++;
		}
	}
	return classElements;
}

function resizeInfoBlocks(minWidth) {
    var elements = getElementsByClass('infoBlock' , 'table');
    var dimension = new ABPDimension();
    for(var i=0;i<elements.length;i++) {
        if(dimension.width < minWidth) {
            elements[i].style.width = minWidth + "px";
        }
        else {
            elements[i].style.width = dimension.width-10 + "px";    
        }
    }
}


</script>
